/**
 * Copyright (c) 2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.samples.rest.edm.dropwizard.server.auth;

import java.util.Optional;

import com.google.common.collect.ImmutableSet;

import io.dropwizard.auth.AuthenticationException;
import io.dropwizard.auth.Authenticator;
import io.dropwizard.auth.basic.BasicCredentials;

public class ExampleAuthenticator implements Authenticator<BasicCredentials, User> {

    @Override
    public Optional<User> authenticate(final BasicCredentials credentials) throws AuthenticationException {
        if ("secret".equals(credentials.getPassword())) {
            final User user;
            if ("admin-lib".equals(credentials.getUsername())) {
                user = new User(credentials.getUsername(), ImmutableSet.of("ADMIN_LIB"));
            } else if ("admin-doc".equals(credentials.getUsername())) {
                user = new User(credentials.getUsername(), ImmutableSet.of("ADMIN_DOC"));
            } else {
                user = new User(credentials.getUsername(), ImmutableSet.of());
            }
            return Optional.of(user);
        } else {
            return Optional.empty();
        }
    }
}
