/**
 * Copyright (c) 2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.samples.rest.edm.dropwizard.server.filter;

import java.io.IOException;

import javax.ws.rs.container.ContainerRequestContext;
import javax.ws.rs.container.ContainerRequestFilter;
import javax.ws.rs.container.PreMatching;

import com.codahale.metrics.Counter;

/**
 * A filter that counts request number
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
@PreMatching
public class MetricFilter implements ContainerRequestFilter {

    private final Counter receivedRequests;

    public MetricFilter(final Counter receivedRequests) {
        this.receivedRequests = receivedRequests;
    }

    @Override
    public void filter(final ContainerRequestContext requestContext)
            throws IOException {

        this.receivedRequests.inc();
    }

}
