/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.samples.rest.edm.dropwizard.server.resources;

import java.util.Map;

import javax.annotation.security.RolesAllowed;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;

import org.ow2.petals.samples.rest.edm.dropwizard.server.repository.Repository;

@Path("/library")
@Produces(MediaType.APPLICATION_JSON)
public class LibraryResource {

    public static final String SLOW_LIBRARY = "slow-library";

    private final Map<String, Repository> docRepositories;

    public LibraryResource(final Map<String, Repository> docRepositories) {
        this.docRepositories = docRepositories;
    }

    @Path("/{library}")
    @POST
    @RolesAllowed("ADMIN_LIB")
    public Response create(@PathParam("library") final String library) {
        if (!this.docRepositories.containsKey(library)) {
            this.docRepositories.put(library, new Repository());
            return Response.ok().build();
        } else {
            // The requested library already exist
            return Response.status(Status.CONFLICT).build();
        }
    }
}
