<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2016-2017 Linagora
 
 This program/library is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 2.1 of the License, or (at your
 option) any later version.
 
 This program/library is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 for more details.
 
 You should have received a copy of the GNU Lesser General Public License
 along with this program/library; If not, see http://www.gnu.org/licenses/
 for the GNU Lesser General Public License version 2.1.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:edm="http://petals.ow2.org/bc/rest/edm"
   xmlns:rest-xsl="http://petals.ow2.org/bc/rest/xsl/param/output/1.0">

   <xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" />
   
   <!-- NOTE: as this XSL processes an successful HTTP status code of a REST access returning data, we have:
          - the XML document to transform is the REST response body,
          - and, XSL global parameters are URI parameter values,
          - and the IN payload can be loaded as an external document.
   -->
   <xsl:param name="library" />
   <xsl:param name="reference" />
   <xsl:variable name="inPayload" select="document('petals-bc-rest:in-payload')"/>

   <xsl:template match="/metadatas">
      <xsl:element name="metadataResponse" namespace="http://petals.ow2.org/bc/rest/edm">
         <xsl:apply-templates />
      </xsl:element>
   </xsl:template>

   <xsl:template match="metadata">
      <xsl:element name="metadata" namespace="http://petals.ow2.org/bc/rest/edm">
         <xsl:attribute name="name"><xsl:value-of select="name" /></xsl:attribute>
         <xsl:value-of select="value" />
      </xsl:element>
   </xsl:template>

</xsl:stylesheet>
