<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2017 Linagora
 
 This program/library is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 2.1 of the License, or (at your
 option) any later version.
 
 This program/library is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 for more details.
 
 You should have received a copy of the GNU Lesser General Public License
 along with this program/library; If not, see http://www.gnu.org/licenses/
 for the GNU Lesser General Public License version 2.1.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:edm="http://petals.ow2.org/bc/rest/edm">

   <!--
       No indentation is required to be able to generate a JSON array if no metadata is provided.
       If indentation is used, a new line will occur and will be transformed as a JSON value "$".
    -->
   <xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" indent="no" />

   <xsl:template match="/edm:resetMetadatas">
      <xsl:apply-templates select="edm:metadatas" />
   </xsl:template>

   <xsl:template match="edm:metadatas">
      <xsl:element name="metadatas">
         <xsl:processing-instruction name="xml-multiple">
            <xsl:text>metadata</xsl:text>
         </xsl:processing-instruction>
         <xsl:apply-templates select="edm:metadata" />
      </xsl:element>
   </xsl:template>

   <xsl:template match="edm:metadata">
      <xsl:element name="metadata">
         <xsl:element name="name">
            <xsl:value-of select="@name" />
         </xsl:element>
         <xsl:element name="value">
            <xsl:value-of select="text()" />
         </xsl:element>
      </xsl:element>
   </xsl:template>

</xsl:stylesheet>
