/**
 * Copyright (c) 2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.samples.rest.edm;

import static org.junit.Assert.assertNotNull;
import static org.ow2.petals.binding.rest.junit.Assert.assertWsdlCompliance;

import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URL;

import org.junit.Test;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.WSDL4ComplexWsdlFactory;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.WSDL4ComplexWsdlException;
import org.ow2.easywsdl.extensions.wsdl4complexwsdl.api.WSDL4ComplexWsdlReader;
import org.ow2.easywsdl.wsdl.api.Description;

public class WsdlValidatorTest extends AbstractTest {

    /**
     * Validate syntax of the service contract
     */
    @Test
    public void validateWsdl() throws WSDL4ComplexWsdlException, URISyntaxException, IOException {

        final URL wsdlUrl = Thread.currentThread().getContextClassLoader().getResource("jbi/edm.wsdl");
        assertNotNull(wsdlUrl);

        final WSDL4ComplexWsdlReader wsdlReader = WSDL4ComplexWsdlFactory.newInstance().newWSDLReader();
        final Description wsdlDescr = wsdlReader.read(wsdlUrl);
        assertNotNull(wsdlDescr);
    }

    /**
     * Validate JBI descriptor againt WSDL
     */
    @Test
    public void validateJbiAgainstWsdl() throws Exception {

        assertWsdlCompliance();
    }
}
