#!/bin/sh
#
# Copyright (c) 2017 Linagora
#
# This program/library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2.1 of the License, or (at your
# option) any later version.
#
# This program/library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
# for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program/library; If not, see http://www.gnu.org/licenses/
# for the GNU Lesser General Public License version 2.1.
# 
################################################################################
#
# 1/ CONFIGURE THE 'env.sh' FILE
# 2/ RUN THIS SCRIPT after to have launch MongoDB server
#
#

ENV_FILE="./env.sh"
if [ -f "$ENV_FILE" ]; then
   . "$ENV_FILE"
else
	echo "Script to execute from its directory !!"
	exit 1
fi

# Clean ERC Database
mongo << EOF
use woa
db.dropDatabase();
EOF

# Deploy all artifacts
petals-cli -h ${PETALS_HOSTNAME} -n ${PETALS_JMX_PORT} -u ${PETALS_JMX_USER} -p ${PETALS_JMX_PWD} - << EOF
connect -y

deploy -u mvn:https://repository.ow2.org/nexus/content/repositories/public@id=ow2.public!org.ow2.petals/petals-bc-soap/${BC_SOAP_VERSION}/zip
deploy -u mvn:https://repository.ow2.org/nexus/content/repositories/public@id=ow2.public!org.ow2.petals/petals-bc-rest/${BC_REST_VERSION}/zip

deploy -u mvn:https://repository.ow2.org/nexus/content/repositories/public@id=ow2.public!org.ow2.petals.samples.rest.woa-soa/sa-woa-soa-rest/1.1.0-1.0.0-SNAPSHOT/zip
deploy -u mvn:https://repository.ow2.org/nexus/content/repositories/public@id=ow2.public!org.ow2.petals.samples.rest.woa-soa/sa-woa-soa-backend/1.1.0-1.0.0-SNAPSHOT/zip
EOF


